Page MenuHomePhabricator

ATS strict round robin parent select policy doesn't work as expected
Closed, ResolvedPublic

Description

Details available on the issue reported to upstream: https://github.com/apache/trafficserver/issues/6321

Details

Related Gerrit Patches:
operations/debs/trafficserver : masterRelease 8.0.5-1wm12
operations/puppet : productionATS: Re-enable DNS resolution for ats-tls

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJan 14 2020, 6:32 PM
MoritzMuehlenhoff triaged this task as Medium priority.Jan 15 2020, 7:56 AM

Apparently, when we disabled DNS resolution for parent requests to fix T232209 we introduced part of the issue. On short-lived ATS instances, enabling proxy.config.http.no_dns_just_forward_to_parent causes that traffic only hits odd parents, in our scenario, this means odd varnish-fe ports:

vgutierrez@cp3052:~$ for port in {3120..3127}; do ss  "( dport = $port or sport = $port )" |wc -l; done
1
128
3
111
2
125
1
141

Since T232209 we moved from listing parents/remap targets as 127.0.0.0/8 to %{::ipaddress} to fix T233667, hence we don't longer have a reason to disable DNS resolution on ats-tls

before enabling DNS resolution on cp3052:

vgutierrez@cp3052:~$ for port in {3120..3127}; do ss  "( dport = $port or sport = $port )" |wc -l; done
3
144
4
135
1
96
2
117

After:

vgutierrez@cp3052:~$ for port in {3120..3127}; do ss  "( dport = $port or sport = $port )" |wc -l; done
37
61
40
47
31
51
52
54

Mentioned in SAL (#wikimedia-operations) [2020-01-15T12:22:49Z] <vgutierrez> upgrading ats on cp4026, cp4032, cp5006 and cp5012 - T242778 T242620

ema moved this task from Triage to TLS on the Traffic board.Jan 15 2020, 12:29 PM

Change 564584 merged by Vgutierrez:
[operations/debs/trafficserver@master] Release 8.0.5-1wm12

https://gerrit.wikimedia.org/r/564584

Mentioned in SAL (#wikimedia-traffic) [2020-01-20T15:03:10Z] <vgutierrez> uploaded trafficserver 8.0.5-1wm12 to apt.wm.o (stretch) - T242620 T242778

Mentioned in SAL (#wikimedia-operations) [2020-01-20T15:20:08Z] <vgutierrez> rolling upgrade of ats to version 8.0.5-1wm12 - T242620 T242778

Vgutierrez closed this task as Resolved.Jan 20 2020, 4:07 PM
Vgutierrez claimed this task.

Solved in 8.0.5-1wm12